;summary:
;defconstant  shared by all.
;throw catch  shared by all.
;quote  k-primitives has its own
;&optional several random k-
;do defvar defun &rest  effectively, all share
;&aux effectively, all share
;&body &key
;cond - + values import export lambda function progn t --
;   keyword, otherwise all share.

;if global:if only in k-diag, plus system, user, zli, si etc,
;   lisp:if in tag, k-xxx, nc telnet ftp  cli lisp.

;time 
;make-array   (array  lisp-internals) cli:make-array global:make-array
;subst        primitives:subst  global:subst cli:subst
;rem	     (new-math lisp-internals) 
;member	     (lisp-internals) cli global
;map	     (map) (lisp-internals) cli global
;listp	     (vinc .. most k packages) cli global
;close	     (lisp-internals) global cli
;character    (lisp-internals) (k-k2) global cli
;<remove read delete defstruct assoc>  (lisp-internals global cli)
;aref	     (k-array) global cli
;<nlistp nintersection intersection functionp atan ar-1-force ar-1>  global cli
;<make-package gethash union some read-from-string rassoc nunion every //>
;	(lisp-internals) global cli

(defvar input nil)

(defun gobble ()
  (let ans
    (dolist section input ans
       (let ((title (caar section))
	     (packages (cdr section))
	     subans)
	 (push (cons title
		     (dolist package packages subans
		        (unless (string-equal "KEYWORD" (second package))
			  (push (symbol-info (first package)) subans))))
	       ans)))))

(defun symbol-info (symbol-unquote)
  (let ((symbol (quote symbol-unquote))
	ans)
    (do ((pl-rem (symbol-plist symbol) (cddr pl-rem)))
	((null pl-rem))
      (push (first pl-rem) ans))
    (when (boundp symbol)
      (push :boundp ans))
    (when (fboundp symbol)
      (push :fboundp ans))
    ans))

(setq input 

'((("IF") ((:IF "KEYWORD") (IF "K-DIAG"
			      "NETWORK-USER"
                              "SDU"
                              "S-TERMINAL"
                              "KERMIT"
                              "TOPS20"
                              "ANSI"
                              "TM"
                              "TFRAME"
                              "SPELL"
                              "LAMBDA"
                              "QUOTE"
                              "CADR"
                              "UNIX"
                              "SRCCOM"
                              "HACKS"
                              "MATH"
                              "MICRO-ASSEMBLER"
                              "ZWEI"
                              "FORMAT"
                              "PRESS"
                              "SUPDUP"
                              "TIME"
                              "FED"
                              "EH"
                              "TV"
                              "METER"
                              "QFASL-REL"
                              "TAPE"
                              "FILE-SYSTEM"
                              "COLOR"
                              "CHAOS"
                              "GARBAGE-COLLECTOR"
                              "ZLI"
                              "USER"
                              "COMPILER"
                              "SYSTEM-INTERNALS"
                              "SYSTEM"
                              "GLOBAL")
                          (LISP:IF "TAG"
                                   "K-USER"
                                   "K-FASDUMP"
                                   "K-SYMBOL"
                                   "K-K2"
                                   "K-KBUG-STREAMS"
                                   "K-COLD"
                                   "K-NUBUS-STUFF"
                                   "K-K-DEBUG"
                                   "K-SETF"
                                   "K-LISP-INTERNALS"
                                   "K-KBUG"
                                   "K-TRAP"
                                   "K-ARRAY"
                                   "K-NEW-MATH"
                                   "K-CONS"
                                   "K-TRANSPORTER-RAM"
                                   "K-BOOT"
                                   "K-MEMORY-MANAGEMENT-INTERFACE"
                                   "K-AREA-DATA"
                                   "K-REGION-DATA"
                                   "K-GC-FAULT"
                                   "K-MAP-FAULT"
                                   "K-REGION-BITS"
                                   "K-MEMORY-MANAGEMENT"
                                   "K-QUANTUM-MAP"
                                   "K-PHYSICAL-CLUSTER-DATA"
                                   "K-VIRTUAL-MEMORY"
                                   "K-PAGING-DEVICES"
                                   "K-DATATYPE-RAM"
                                   "K-GC-RAM"
                                   "K-MAP"
                                   "K-TIMERS"
                                   "K-VINCULUM"
                                   "K-GLOBAL-REGISTERS"
                                   "K-PRIMITIVES"
                                   "K-GLOBAL"
                                   "FASDUMP"
                                   "SYMBOL"
                                   "K2"
                                   "KBUG-STREAMS"
                                   "COLD"
                                   "NUBUS-STUFF"
                                   "K-DEBUG"
                                   "SETF"
                                   "NLISP"
                                   "LISP-INTERNALS"
                                   "KBUG"
                                   "TRAP"
                                   "ARRAY"
                                   "NEW-MATH"
                                   "CONS"
                                   "TRANSPORTER-RAM"
                                   "BOOT"
                                   "MEMORY-MANAGEMENT-INTERFACE"
                                   "AREA-DATA"
                                   "REGION-DATA"
                                   "GC-FAULT"
                                   "MAP-FAULT"
                                   "REGION-BITS"
                                   "MEMORY-MANAGEMENT"
                                   "QUANTUM-MAP"
                                   "PHYSICAL-CLUSTER-DATA"
                                   "VIRTUAL-MEMORY"
                                   "PAGING-DEVICES"
                                   "DATATYPE-RAM"
                                   "GC-RAM"
                                   "MAP"
                                   "TIMERS"
                                   "VINCULUM"
                                   "GLOBAL-REGISTERS"
                                   "PRIMITIVES"
                                   "NC"
                                   "TELNET"
                                   "FTP"
                                   "TCP-APPLICATION"
                                   "TCP"
                                   "UDP"
                                   "ICMP"
                                   "INTERNET"
                                   "ARP"
                                   "NETWORK"
                                   "ETHERNET"
                                   "CLI"
                                   "LISP")))
 (("TIME") ((:TIME "KEYWORD") (TIME "K-DIAG"
                                    "NETWORK-USER"
                                    "SDU"
                                    "S-TERMINAL"
                                    "KERMIT"
                                    "TOPS20"
                                    "ANSI"
                                    "TM"
                                    "TFRAME"
                                    "SPELL"
                                    "LAMBDA"
                                    "QUOTE"
                                    "CADR"
                                    "UNIX"
                                    "SRCCOM"
                                    "HACKS"
                                    "MATH"
                                    "MICRO-ASSEMBLER"
                                    "ZWEI"
                                    "FORMAT"
                                    "PRESS"
                                    "SUPDUP"
                                    "TIME"
                                    "FED"
                                    "EH"
                                    "TV"
                                    "METER"
                                    "QFASL-REL"
                                    "TAPE"
                                    "FILE-SYSTEM"
                                    "COLOR"
                                    "CHAOS"
                                    "GARBAGE-COLLECTOR"
                                    "ZLI"
                                    "USER"
                                    "COMPILER"
                                    "SYSTEM-INTERNALS"
                                    "SYSTEM"
                                    "GLOBAL")
                              (LISP:TIME "TAG"
                                         "K-USER"
                                         "K-FASDUMP"
                                         "K-COLD"
                                         "K-SETF"
                                         "K-KBUG"
                                         "K-GLOBAL"
                                         "FASDUMP"
                                         "COLD"
                                         "SETF"
                                         "KBUG"
                                         "NC"
                                         "TELNET"
                                         "FTP"
                                         "TCP-APPLICATION"
                                         "TCP"
                                         "UDP"
                                         "ICMP"
                                         "INTERNET"
                                         "ARP"
                                         "NETWORK"
                                         "ETHERNET"
                                         "CLI"
                                         "LISP")))
 (("MAKE-ARRAY")
  ((:MAKE-ARRAY "KEYWORD") (ARRAY:MAKE-ARRAY "LISP-INTERNALS" "ARRAY")
                           (K-ARRAY::MAKE-ARRAY "K-LISP-INTERNALS" "K-ARRAY")
                           (MAKE-ARRAY "K-DIAG"
                                       "NETWORK-USER"
                                       "SDU"
                                       "S-TERMINAL"
                                       "KERMIT"
                                       "TOPS20"
                                       "ANSI"
                                       "TM"
                                       "TFRAME"
                                       "SPELL"
                                       "LAMBDA"
                                       "QUOTE"
                                       "CADR"
                                       "UNIX"
                                       "SRCCOM"
                                       "HACKS"
                                       "MATH"
                                       "MICRO-ASSEMBLER"
                                       "ZWEI"
                                       "FORMAT"
                                       "PRESS"
                                       "SUPDUP"
                                       "TIME"
                                       "FED"
                                       "EH"
                                       "TV"
                                       "METER"
                                       "QFASL-REL"
                                       "TAPE"
                                       "FILE-SYSTEM"
                                       "COLOR"
                                       "CHAOS"
                                       "GARBAGE-COLLECTOR"
                                       "ZLI"
                                       "USER"
                                       "COMPILER"
                                       "SYSTEM-INTERNALS"
                                       "SYSTEM"
                                       "GLOBAL")
                           (LISP:MAKE-ARRAY "TAG"
                                            "K-USER"
                                            "K-FASDUMP"
                                            "K-COLD"
                                            "K-SETF"
                                            "K-KBUG"
                                            "K-GLOBAL"
                                            "FASDUMP"
                                            "COLD"
                                            "SETF"
                                            "KBUG"
                                            "NC"
                                            "TELNET"
                                            "FTP"
                                            "TCP-APPLICATION"
                                            "TCP"
                                            "UDP"
                                            "ICMP"
                                            "INTERNET"
                                            "ARP"
                                            "NETWORK"
                                            "ETHERNET"
                                            "CLI"
                                            "LISP")))
 (("SUBST") ((PRIMITIVES:SUBST "SYMBOL"
                               "K2"
                               "KBUG-STREAMS"
                               "NUBUS-STUFF"
                               "K-DEBUG"
                               "NLISP"
                               "LISP-INTERNALS"
                               "TRAP"
                               "ARRAY"
                               "NEW-MATH"
                               "CONS"
                               "TRANSPORTER-RAM"
                               "BOOT"
                               "MEMORY-MANAGEMENT-INTERFACE"
                               "AREA-DATA"
                               "REGION-DATA"
                               "GC-FAULT"
                               "MAP-FAULT"
                               "REGION-BITS"
                               "MEMORY-MANAGEMENT"
                               "QUANTUM-MAP"
                               "PHYSICAL-CLUSTER-DATA"
                               "VIRTUAL-MEMORY"
                               "PAGING-DEVICES"
                               "DATATYPE-RAM"
                               "GC-RAM"
                               "MAP"
                               "TIMERS"
                               "VINCULUM"
                               "GLOBAL-REGISTERS"
                               "PRIMITIVES")
             (SUBST "K-DIAG"
               "NETWORK-USER"
               "SDU"
               "S-TERMINAL"
               "KERMIT"
               "TOPS20"
               "ANSI"
               "TM"
               "TFRAME"
               "SPELL"
               "LAMBDA"
               "QUOTE"
               "CADR"
               "UNIX"
               "SRCCOM"
               "HACKS"
               "MATH"
               "MICRO-ASSEMBLER"
               "ZWEI"
               "FORMAT"
               "PRESS"
               "SUPDUP"
               "TIME"
               "FED"
               "EH"
               "TV"
               "METER"
               "QFASL-REL"
               "TAPE"
               "FILE-SYSTEM"
               "COLOR"
               "CHAOS"
               "GARBAGE-COLLECTOR"
               "ZLI"
               "USER"
               "COMPILER"
               "SYSTEM-INTERNALS"
               "SYSTEM"
               "GLOBAL")
             (LISP:SUBST "TAG"
               "K-USER"
               "K-FASDUMP"
               "K-COLD"
               "K-SETF"
               "K-KBUG"
               "K-GLOBAL"
               "FASDUMP"
               "COLD"
               "SETF"
               "KBUG"
               "NC"
               "TELNET"
               "FTP"
               "TCP-APPLICATION"
               "TCP"
               "UDP"
               "ICMP"
               "INTERNET"
               "ARP"
               "NETWORK"
               "ETHERNET"
               "CLI"
               "LISP")))
 (("REM")
  ((NEW-MATH::REM "LISP-INTERNALS" "NEW-MATH")
   (K-NEW-MATH::REM "K-LISP-INTERNALS" "K-NEW-MATH")
   (REM "K-DIAG"
        "NETWORK-USER"
        "SDU"
        "S-TERMINAL"
        "KERMIT"
        "TOPS20"
        "ANSI"
        "TM"
        "TFRAME"
        "SPELL"
        "LAMBDA"
        "QUOTE"
        "CADR"
        "UNIX"
        "SRCCOM"
        "HACKS"
        "MATH"
        "MICRO-ASSEMBLER"
        "ZWEI"
        "FORMAT"
        "PRESS"
        "SUPDUP"
        "TIME"
        "FED"
        "EH"
        "TV"
        "METER"
        "QFASL-REL"
        "TAPE"
        "FILE-SYSTEM"
        "COLOR"
        "CHAOS"
        "GARBAGE-COLLECTOR"
        "ZLI"
        "USER"
        "COMPILER"
        "SYSTEM-INTERNALS"
        "SYSTEM"
        "GLOBAL")
   (LISP:REM "TAG"
             "K-USER"
             "K-FASDUMP"
             "K-COLD"
             "K-SETF"
             "K-KBUG"
             "K-GLOBAL"
             "FASDUMP"
             "COLD"
             "SETF"
             "KBUG"
             "NC"
             "TELNET"
             "FTP"
             "TCP-APPLICATION"
             "TCP"
             "UDP"
             "ICMP"
             "INTERNET"
             "ARP"
             "NETWORK"
             "ETHERNET"
             "CLI"
             "LISP")))
 (("MEMBER") ((:MEMBER "KEYWORD") (LISP-INTERNALS::MEMBER "LISP-INTERNALS")
                                  (K-LISP-INTERNALS::MEMBER "K-LISP-INTERNALS")
                                  (MEMBER "K-DIAG"
                                          "NETWORK-USER"
                                          "SDU"
                                          "S-TERMINAL"
                                          "KERMIT"
                                          "TOPS20"
                                          "ANSI"
                                          "TM"
                                          "TFRAME"
                                          "SPELL"
                                          "LAMBDA"
                                          "QUOTE"
                                          "CADR"
                                          "UNIX"
                                          "SRCCOM"
                                          "HACKS"
                                          "MATH"
                                          "MICRO-ASSEMBLER"
                                          "ZWEI"
                                          "FORMAT"
                                          "PRESS"
                                          "SUPDUP"
                                          "TIME"
                                          "FED"
                                          "EH"
                                          "TV"
                                          "METER"
                                          "QFASL-REL"
                                          "TAPE"
                                          "FILE-SYSTEM"
                                          "COLOR"
                                          "CHAOS"
                                          "GARBAGE-COLLECTOR"
                                          "ZLI"
                                          "USER"
                                          "COMPILER"
                                          "SYSTEM-INTERNALS"
                                          "SYSTEM"
                                          "GLOBAL")
                                  (LISP:MEMBER "TAG"
                                               "K-USER"
                                               "K-FASDUMP"
                                               "K-COLD"
                                               "K-SETF"
                                               "K-KBUG"
                                               "K-GLOBAL"
                                               "FASDUMP"
                                               "COLD"
                                               "SETF"
                                               "KBUG"
                                               "NC"
                                               "TELNET"
                                               "FTP"
                                               "TCP-APPLICATION"
                                               "TCP"
                                               "UDP"
                                               "ICMP"
                                               "INTERNET"
                                               "ARP"
                                               "NETWORK"
                                               "ETHERNET"
                                               "CLI"
                                               "LISP")))
 (("MAP") ((:MAP "KEYWORD") (MAP::MAP "MAP")
                            (LISP-INTERNALS::MAP "LISP-INTERNALS")
                            (K-MAP::MAP "K-MAP")
                            (MAP "K-DIAG"
                                 "NETWORK-USER"
                                 "SDU"
                                 "S-TERMINAL"
                                 "KERMIT"
                                 "TOPS20"
                                 "ANSI"
                                 "TM"
                                 "TFRAME"
                                 "SPELL"
                                 "LAMBDA"
                                 "QUOTE"
                                 "CADR"
                                 "UNIX"
                                 "SRCCOM"
                                 "HACKS"
                                 "MATH"
                                 "MICRO-ASSEMBLER"
                                 "ZWEI"
                                 "FORMAT"
                                 "PRESS"
                                 "SUPDUP"
                                 "TIME"
                                 "FED"
                                 "EH"
                                 "TV"
                                 "METER"
                                 "QFASL-REL"
                                 "TAPE"
                                 "FILE-SYSTEM"
                                 "COLOR"
                                 "CHAOS"
                                 "GARBAGE-COLLECTOR"
                                 "ZLI"
                                 "USER"
                                 "COMPILER"
                                 "SYSTEM-INTERNALS"
                                 "SYSTEM"
                                 "GLOBAL")
                            (LISP:MAP "TAG"
                                      "K-USER"
                                      "K-FASDUMP"
                                      "K-COLD"
                                      "K-SETF"
                                      "K-KBUG"
                                      "K-GLOBAL"
                                      "FASDUMP"
                                      "COLD"
                                      "SETF"
                                      "KBUG"
                                      "NC"
                                      "TELNET"
                                      "FTP"
                                      "TCP-APPLICATION"
                                      "TCP"
                                      "UDP"
                                      "ICMP"
                                      "INTERNET"
                                      "ARP"
                                      "NETWORK"
                                      "ETHERNET"
                                      "CLI"
                                      "LISP")))
 (("LISTP") ((VINCULUM:LISTP "SYMBOL"
                             "K2"
                             "KBUG-STREAMS"
                             "NUBUS-STUFF"
                             "K-DEBUG"
                             "LISP-INTERNALS"
                             "TRAP"
                             "ARRAY"
                             "NEW-MATH"
                             "CONS"
                             "TRANSPORTER-RAM"
                             "BOOT"
                             "MEMORY-MANAGEMENT-INTERFACE"
                             "AREA-DATA"
                             "REGION-DATA"
                             "GC-FAULT"
                             "MAP-FAULT"
                             "REGION-BITS"
                             "MEMORY-MANAGEMENT"
                             "QUANTUM-MAP"
                             "PHYSICAL-CLUSTER-DATA"
                             "VIRTUAL-MEMORY"
                             "PAGING-DEVICES"
                             "DATATYPE-RAM"
                             "GC-RAM"
                             "MAP"
                             "TIMERS"
                             "VINCULUM")
             (K-VINCULUM::LISTP "K-LISP-INTERNALS" "K-VINCULUM")
             (LISTP "K-DIAG"
                    "NETWORK-USER"
                    "SDU"
                    "S-TERMINAL"
                    "KERMIT"
                    "TOPS20"
                    "ANSI"
                    "TM"
                    "TFRAME"
                    "SPELL"
                    "LAMBDA"
                    "QUOTE"
                    "CADR"
                    "UNIX"
                    "SRCCOM"
                    "HACKS"
                    "MATH"
                    "MICRO-ASSEMBLER"
                    "ZWEI"
                    "FORMAT"
                    "PRESS"
                    "SUPDUP"
                    "TIME"
                    "FED"
                    "EH"
                    "TV"
                    "METER"
                    "QFASL-REL"
                    "TAPE"
                    "FILE-SYSTEM"
                    "COLOR"
                    "CHAOS"
                    "GARBAGE-COLLECTOR"
                    "ZLI"
                    "USER"
                    "COMPILER"
                    "SYSTEM-INTERNALS"
                    "SYSTEM"
                    "GLOBAL")
             (LISP:LISTP "TAG"
                         "K-USER"
                         "K-FASDUMP"
                         "K-COLD"
                         "K-SETF"
                         "K-KBUG"
                         "K-GLOBAL"
                         "FASDUMP"
                         "COLD"
                         "SETF"
                         "KBUG"
                         "NC"
                         "TELNET"
                         "FTP"
                         "TCP-APPLICATION"
                         "TCP"
                         "UDP"
                         "ICMP"
                         "INTERNET"
                         "ARP"
                         "NETWORK"
                         "ETHERNET"
                         "CLI"
                         "LISP")))
 (("CLOSE") ((:CLOSE "KEYWORD") (CHAOS:CLOSE "CHAOS")
                                (LISP-INTERNALS::CLOSE "LISP-INTERNALS")
                                (CLOSE "K-DIAG"
                                       "NETWORK-USER"
                                       "SDU"
                                       "S-TERMINAL"
                                       "KERMIT"
                                       "TOPS20"
                                       "ANSI"
                                       "TM"
                                       "TFRAME"
                                       "SPELL"
                                       "LAMBDA"
                                       "QUOTE"
                                       "CADR"
                                       "UNIX"
                                       "SRCCOM"
                                       "HACKS"
                                       "MATH"
                                       "MICRO-ASSEMBLER"
                                       "ZWEI"
                                       "FORMAT"
                                       "PRESS"
                                       "SUPDUP"
                                       "TIME"
                                       "FED"
                                       "EH"
                                       "TV"
                                       "METER"
                                       "QFASL-REL"
                                       "TAPE"
                                       "FILE-SYSTEM"
                                       "COLOR"
                                       "GARBAGE-COLLECTOR"
                                       "ZLI"
                                       "USER"
                                       "COMPILER"
                                       "SYSTEM-INTERNALS"
                                       "SYSTEM"
                                       "GLOBAL")
                                (LISP:CLOSE "TAG"
                                            "K-USER"
                                            "K-FASDUMP"
                                            "K-COLD"
                                            "K-SETF"
                                            "K-KBUG"
                                            "K-GLOBAL"
                                            "FASDUMP"
                                            "COLD"
                                            "SETF"
                                            "KBUG"
                                            "NC"
                                            "TELNET"
                                            "FTP"
                                            "TCP-APPLICATION"
                                            "TCP"
                                            "UDP"
                                            "ICMP"
                                            "INTERNET"
                                            "ARP"
                                            "NETWORK"
                                            "ETHERNET"
                                            "CLI"
                                            "LISP")))
 (("CHARACTER")
  ((:CHARACTER "KEYWORD") (LISP-INTERNALS::CHARACTER "LISP-INTERNALS")
                          (K-K2::CHARACTER "K-K2")
                          (CHARACTER "K-DIAG"
                                     "NETWORK-USER"
                                     "SDU"
                                     "S-TERMINAL"
                                     "KERMIT"
                                     "TOPS20"
                                     "ANSI"
                                     "TM"
                                     "TFRAME"
                                     "SPELL"
                                     "LAMBDA"
                                     "QUOTE"
                                     "CADR"
                                     "UNIX"
                                     "SRCCOM"
                                     "HACKS"
                                     "MATH"
                                     "MICRO-ASSEMBLER"
                                     "ZWEI"
                                     "FORMAT"
                                     "PRESS"
                                     "SUPDUP"
                                     "TIME"
                                     "FED"
                                     "EH"
                                     "TV"
                                     "METER"
                                     "QFASL-REL"
                                     "TAPE"
                                     "FILE-SYSTEM"
                                     "COLOR"
                                     "CHAOS"
                                     "GARBAGE-COLLECTOR"
                                     "ZLI"
                                     "USER"
                                     "COMPILER"
                                     "SYSTEM-INTERNALS"
                                     "SYSTEM"
                                     "GLOBAL")
                          (LISP:CHARACTER "TAG"
                                          "K-USER"
                                          "K-FASDUMP"
                                          "K-COLD"
                                          "K-SETF"
                                          "K-KBUG"
                                          "K-GLOBAL"
                                          "FASDUMP"
                                          "COLD"
                                          "SETF"
                                          "KBUG"
                                          "NC"
                                          "TELNET"
                                          "FTP"
                                          "TCP-APPLICATION"
                                          "TCP"
                                          "UDP"
                                          "ICMP"
                                          "INTERNET"
                                          "ARP"
                                          "NETWORK"
                                          "ETHERNET"
                                          "CLI"
                                          "LISP")))
 (("REMOVE" "READ" "DELETE" "DEFSTRUCT" "ASSOC")
  ((:ASSOC "KEYWORD") (LISP-INTERNALS::ASSOC "LISP-INTERNALS")
                      (ASSOC "K-DIAG"
                             "NETWORK-USER"
                             "SDU"
                             "S-TERMINAL"
                             "KERMIT"
                             "TOPS20"
                             "ANSI"
                             "TM"
                             "TFRAME"
                             "SPELL"
                             "LAMBDA"
                             "QUOTE"
                             "CADR"
                             "UNIX"
                             "SRCCOM"
                             "HACKS"
                             "MATH"
                             "MICRO-ASSEMBLER"
                             "ZWEI"
                             "FORMAT"
                             "PRESS"
                             "SUPDUP"
                             "TIME"
                             "FED"
                             "EH"
                             "TV"
                             "METER"
                             "QFASL-REL"
                             "TAPE"
                             "FILE-SYSTEM"
                             "COLOR"
                             "CHAOS"
                             "GARBAGE-COLLECTOR"
                             "ZLI"
                             "USER"
                             "COMPILER"
                             "SYSTEM-INTERNALS"
                             "SYSTEM"
                             "GLOBAL")
                      (LISP:ASSOC "TAG"
                                  "K-USER"
                                  "K-FASDUMP"
                                  "K-COLD"
                                  "K-SETF"
                                  "K-KBUG"
                                  "K-GLOBAL"
                                  "FASDUMP"
                                  "COLD"
                                  "SETF"
                                  "KBUG"
                                  "NC"
                                  "TELNET"
                                  "FTP"
                                  "TCP-APPLICATION"
                                  "TCP"
                                  "UDP"
                                  "ICMP"
                                  "INTERNET"
                                  "ARP"
                                  "NETWORK"
                                  "ETHERNET"
                                  "CLI"
                                  "LISP")))
 (("AREF") ((:AREF "KEYWORD") (K-ARRAY::AREF "K-LISP-INTERNALS" "K-ARRAY")
                              (AREF "K-DIAG"
                                    "NETWORK-USER"
                                    "SDU"
                                    "S-TERMINAL"
                                    "KERMIT"
                                    "TOPS20"
                                    "ANSI"
                                    "TM"
                                    "TFRAME"
                                    "SPELL"
                                    "LAMBDA"
                                    "QUOTE"
                                    "CADR"
                                    "UNIX"
                                    "SRCCOM"
                                    "HACKS"
                                    "MATH"
                                    "MICRO-ASSEMBLER"
                                    "ZWEI"
                                    "FORMAT"
                                    "PRESS"
                                    "SUPDUP"
                                    "TIME"
                                    "FED"
                                    "EH"
                                    "TV"
                                    "METER"
                                    "QFASL-REL"
                                    "TAPE"
                                    "FILE-SYSTEM"
                                    "COLOR"
                                    "CHAOS"
                                    "GARBAGE-COLLECTOR"
                                    "ZLI"
                                    "USER"
                                    "COMPILER"
                                    "SYSTEM-INTERNALS"
                                    "SYSTEM"
                                    "GLOBAL")
                              (LISP:AREF "TAG"
                                         "K-USER"
                                         "K-FASDUMP"
                                         "K-COLD"
                                         "K-SETF"
                                         "K-KBUG"
                                         "K-GLOBAL"
                                         "FASDUMP"
                                         "SYMBOL"
                                         "K2"
                                         "KBUG-STREAMS"
                                         "COLD"
                                         "NUBUS-STUFF"
                                         "K-DEBUG"
                                         "SETF"
                                         "NLISP"
                                         "LISP-INTERNALS"
                                         "KBUG"
                                         "TRAP"
                                         "ARRAY"
                                         "NEW-MATH"
                                         "CONS"
                                         "TRANSPORTER-RAM"
                                         "BOOT"
                                         "MEMORY-MANAGEMENT-INTERFACE"
                                         "AREA-DATA"
                                         "REGION-DATA"
                                         "GC-FAULT"
                                         "MAP-FAULT"
                                         "REGION-BITS"
                                         "MEMORY-MANAGEMENT"
                                         "QUANTUM-MAP"
                                         "PHYSICAL-CLUSTER-DATA"
                                         "VIRTUAL-MEMORY"
                                         "PAGING-DEVICES"
                                         "DATATYPE-RAM"
                                         "GC-RAM"
                                         "MAP"
                                         "TIMERS"
                                         "VINCULUM"
                                         "GLOBAL-REGISTERS"
                                         "PRIMITIVES"
                                         "NC"
                                         "TELNET"
                                         "FTP"
                                         "TCP-APPLICATION"
                                         "TCP"
                                         "UDP"
                                         "ICMP"
                                         "INTERNET"
                                         "ARP"
                                         "NETWORK"
                                         "ETHERNET"
                                         "CLI"
                                         "LISP")))
 (("NLISTP" "NINTERSECTION"
            "INTERSECTION"
            "FUNCTIONP"
            "ATAN"
            "AR-1-FORCE"
            "AR-1")
  ((AR-1 "K-DIAG"
         "NETWORK-USER"
         "SDU"
         "S-TERMINAL"
         "KERMIT"
         "TOPS20"
         "ANSI"
         "TM"
         "TFRAME"
         "SPELL"
         "LAMBDA"
         "QUOTE"
         "CADR"
         "UNIX"
         "SRCCOM"
         "HACKS"
         "MATH"
         "MICRO-ASSEMBLER"
         "ZWEI"
         "FORMAT"
         "PRESS"
         "SUPDUP"
         "TIME"
         "FED"
         "EH"
         "TV"
         "METER"
         "QFASL-REL"
         "TAPE"
         "FILE-SYSTEM"
         "COLOR"
         "CHAOS"
         "GARBAGE-COLLECTOR"
         "ZLI"
         "USER"
         "COMPILER"
         "SYSTEM-INTERNALS"
         "SYSTEM"
         "GLOBAL")
   (LISP:AR-1 "TAG"
              "K-USER"
              "K-FASDUMP"
              "K-COLD"
              "K-SETF"
              "K-KBUG"
              "K-GLOBAL"
              "FASDUMP"
              "COLD"
              "SETF"
              "KBUG"
              "NC"
              "TELNET"
              "FTP"
              "TCP-APPLICATION"
              "TCP"
              "UDP"
              "ICMP"
              "INTERNET"
              "ARP"
              "NETWORK"
              "ETHERNET"
              "CLI"
              "LISP")))
 (("*DEFAULT-PATHNAME-DEFAULTS*")
  ((*DEFAULT-PATHNAME-DEFAULTS* "K-DIAG"
                                "NETWORK-USER"
                                "SDU"
                                "S-TERMINAL"
                                "KERMIT"
                                "TOPS20"
                                "ANSI"
                                "TM"
                                "TFRAME"
                                "SPELL"
                                "LAMBDA"
                                "QUOTE"
                                "CADR"
                                "UNIX"
                                "SRCCOM"
                                "HACKS"
                                "MATH"
                                "MICRO-ASSEMBLER"
                                "ZWEI"
                                "FORMAT"
                                "PRESS"
                                "SUPDUP"
                                "TIME"
                                "FED"
                                "EH"
                                "TV"
                                "METER"
                                "QFASL-REL"
                                "TAPE"
                                "FILE-SYSTEM"
                                "COLOR"
                                "CHAOS"
                                "GARBAGE-COLLECTOR"
                                "ZLI"
                                "USER"
                                "COMPILER"
                                "SYSTEM-INTERNALS"
                                "SYSTEM"
                                "GLOBAL")
   (LISP:*DEFAULT-PATHNAME-DEFAULTS* "TAG"
                                     "K-FASDUMP"
                                     "K-COLD"
                                     "K-SETF"
                                     "K-KBUG"
                                     "FASDUMP"
                                     "COLD"
                                     "SETF"
                                     "KBUG"
                                     "NC"
                                     "TELNET"
                                     "FTP"
                                     "TCP-APPLICATION"
                                     "TCP"
                                     "UDP"
                                     "ICMP"
                                     "INTERNET"
                                     "ARP"
                                     "NETWORK"
                                     "ETHERNET"
                                     "CLI"
                                     "LISP")))
 (("MAKE-PACKAGE" "GETHASH"
                  "UNION"
                  "SOME"
                  "READ-FROM-STRING"
                  "RASSOC"
                  "NUNION"
                  "EVERY"
                  "//")
  ((LISP-INTERNALS::// "LISP-INTERNALS") (// "K-DIAG"
                                             "NETWORK-USER"
                                             "SDU"
                                             "S-TERMINAL"
                                             "KERMIT"
                                             "TOPS20"
                                             "ANSI"
                                             "TM"
                                             "TFRAME"
                                             "SPELL"
                                             "LAMBDA"
                                             "QUOTE"
                                             "CADR"
                                             "UNIX"
                                             "SRCCOM"
                                             "HACKS"
                                             "MATH"
                                             "MICRO-ASSEMBLER"
                                             "ZWEI"
                                             "FORMAT"
                                             "PRESS"
                                             "SUPDUP"
                                             "TIME"
                                             "FED"
                                             "EH"
                                             "TV"
                                             "METER"
                                             "QFASL-REL"
                                             "TAPE"
                                             "FILE-SYSTEM"
                                             "COLOR"
                                             "CHAOS"
                                             "GARBAGE-COLLECTOR"
                                             "ZLI"
                                             "USER"
                                             "COMPILER"
                                             "SYSTEM-INTERNALS"
                                             "SYSTEM"
                                             "GLOBAL")
                                         (LISP:// "TAG"
                                                  "K-USER"
                                                  "K-FASDUMP"
                                                  "K-COLD"
                                                  "K-SETF"
                                                  "K-KBUG"
                                                  "K-GLOBAL"
                                                  "FASDUMP"
                                                  "COLD"
                                                  "SETF"
                                                  "KBUG"
                                                  "NC"
                                                  "TELNET"
                                                  "FTP"
                                                  "TCP-APPLICATION"
                                                  "TCP"
                                                  "UDP"
                                                  "ICMP"
                                                  "INTERNET"
                                                  "ARP"
                                                  "NETWORK"
                                                  "ETHERNET"
                                                  "CLI"
                                                  "LISP")))
 (("DEFCONSTANT") ((DEFCONSTANT "TAG"
                                "K-DIAG"
                                "K-USER"
                                "K-FASDUMP"
                                "K-SYMBOL"
                                "K-K2"
                                "K-KBUG-STREAMS"
                                "K-COLD"
                                "K-NUBUS-STUFF"
                                "K-K-DEBUG"
                                "K-SETF"
                                "K-LISP-INTERNALS"
                                "K-KBUG"
                                "K-TRAP"
                                "K-ARRAY"
                                "K-NEW-MATH"
                                "K-CONS"
                                "K-TRANSPORTER-RAM"
                                "K-BOOT"
                                "K-MEMORY-MANAGEMENT-INTERFACE"
                                "K-AREA-DATA"
                                "K-REGION-DATA"
                                "K-GC-FAULT"
                                "K-MAP-FAULT"
                                "K-REGION-BITS"
                                "K-MEMORY-MANAGEMENT"
                                "K-QUANTUM-MAP"
                                "K-PHYSICAL-CLUSTER-DATA"
                                "K-VIRTUAL-MEMORY"
                                "K-PAGING-DEVICES"
                                "K-DATATYPE-RAM"
                                "K-GC-RAM"
                                "K-MAP"
                                "K-TIMERS"
                                "K-VINCULUM"
                                "K-GLOBAL-REGISTERS"
                                "K-HARDWARE"
                                "K-PRIMITIVES"
                                "K-GLOBAL"
                                "FASDUMP"
                                "SYMBOL"
                                "K2"
                                "KBUG-STREAMS"
                                "COLD"
                                "NUBUS-STUFF"
                                "K-DEBUG"
                                "SETF"
                                "NLISP"
                                "LISP-INTERNALS"
                                "KBUG"
                                "TRAP"
                                "ARRAY"
                                "NEW-MATH"
                                "CONS"
                                "TRANSPORTER-RAM"
                                "BOOT"
                                "MEMORY-MANAGEMENT-INTERFACE"
                                "AREA-DATA"
                                "REGION-DATA"
                                "GC-FAULT"
                                "MAP-FAULT"
                                "REGION-BITS"
                                "MEMORY-MANAGEMENT"
                                "QUANTUM-MAP"
                                "PHYSICAL-CLUSTER-DATA"
                                "VIRTUAL-MEMORY"
                                "PAGING-DEVICES"
                                "DATATYPE-RAM"
                                "GC-RAM"
                                "MAP"
                                "TIMERS"
                                "VINCULUM"
                                "GLOBAL-REGISTERS"
                                "HARDWARE"
                                "PRIMITIVES"
                                "NC"
                                "NETWORK-USER"
                                "SDU"
                                "S-TERMINAL"
                                "KERMIT"
                                "TOPS20"
                                "ANSI"
                                "TM"
                                "TFRAME"
                                "SPELL"
                                "LAMBDA"
                                "TELNET"
                                "FTP"
                                "TCP-APPLICATION"
                                "TCP"
                                "UDP"
                                "ICMP"
                                "INTERNET"
                                "ARP"
                                "QUOTE"
                                "CADR"
                                "UNIX"
                                "SRCCOM"
                                "HACKS"
                                "MATH"
                                "MICRO-ASSEMBLER"
                                "ZWEI"
                                "FORMAT"
                                "PRESS"
                                "SUPDUP"
                                "TIME"
                                "FED"
                                "EH"
                                "TV"
                                "METER"
                                "QFASL-REL"
                                "TAPE"
                                "FILE-SYSTEM"
                                "COLOR"
                                "NETWORK"
                                "ETHERNET"
                                "CHAOS"
                                "GARBAGE-COLLECTOR"
                                "USER"
                                "COMPILER"
                                "SYSTEM-INTERNALS"
                                "LISP"
                                "SYSTEM"
                                "GLOBAL")
                   ))
 (("THROW" "CATCH") ((CATCH "TAG"
                            "K-DIAG"
                            "K-USER"
                            "K-FASDUMP"
                            "K-COLD"
                            "K-SETF"
                            "K-KBUG"
                            "K-GLOBAL"
                            "FASDUMP"
                            "COLD"
                            "SETF"
                            "LISP-INTERNALS"
                            "KBUG"
                            "NC"
                            "NETWORK-USER"
                            "SDU"
                            "S-TERMINAL"
                            "KERMIT"
                            "TOPS20"
                            "ANSI"
                            "TM"
                            "TFRAME"
                            "SPELL"
                            "LAMBDA"
                            "TELNET"
                            "FTP"
                            "TCP-APPLICATION"
                            "TCP"
                            "UDP"
                            "ICMP"
                            "INTERNET"
                            "ARP"
                            "QUOTE"
                            "CADR"
                            "UNIX"
                            "SRCCOM"
                            "HACKS"
                            "MATH"
                            "MICRO-ASSEMBLER"
                            "ZWEI"
                            "FORMAT"
                            "PRESS"
                            "SUPDUP"
                            "TIME"
                            "FED"
                            "EH"
                            "TV"
                            "METER"
                            "QFASL-REL"
                            "TAPE"
                            "FILE-SYSTEM"
                            "COLOR"
                            "NETWORK"
                            "ETHERNET"
                            "CHAOS"
                            "GARBAGE-COLLECTOR"
                            "USER"
                            "COMPILER"
                            "SYSTEM-INTERNALS"
                            "LISP"
                            "SYSTEM"
                            "GLOBAL")
                     ))
 (("QUOTE") ((:QUOTE "KEYWORD") (K-PRIMITIVES::QUOTE "K-PRIMITIVES")
                                (QUOTE "TAG"
				       "K-DIAG"
				       "K-USER"
				       "K-FASDUMP" 
				       "K-COLD"
				       "K-SETF"
				       "K-KBUG"
				       "K-GLOBAL" 
				       "FASDUMP"
				       "SYMBOL"
				       "K2"
				       "KBUG-STREAMS"
				       "COLD"
				       "NUBUS-STUFF"
				       "K-DEBUG"
				       "SETF"
				       "NLISP" 
				       "LISP-INTERNALS"
				       "KBUG"
				       "TRAP"
				       "ARRAY" 
				       "NEW-MATH"
				       "CONS"
				       "TRANSPORTER-RAM"
				       "BOOT" 
				       "MEMORY-MANAGEMENT-INTERFACE"
				       "AREA-DATA" 
				       "REGION-DATA"
				       "GC-FAULT"
				       "MAP-FAULT" 
				       "REGION-BITS"
				       "MEMORY-MANAGEMENT" 
				       "QUANTUM-MAP"
				       "PHYSICAL-CLUSTER-DATA" 
				       "VIRTUAL-MEMORY"
				       "PAGING-DEVICES" 
				       "DATATYPE-RAM"
				       "GC-RAM"
				       "MAP"
				       "TIMERS" 
				       "VINCULUM"
				       "GLOBAL-REGISTERS"
				       "PRIMITIVES" 
				       "NC"
				       "NETWORK-USER"
				       "SDU"
				       "S-TERMINAL" 
				       "KERMIT"
				       "TOPS20"
				       "ANSI"
				       "TM"
				       "TFRAME" 
				       "SPELL"
				       "LAMBDA"
				       "TELNET"
				       "FTP" 
				       "TCP-APPLICATION"
				       "TCP"
				       "UDP"
				       "ICMP" 
				       "INTERNET"
				       "ARP"
				       "QUOTE"
				       "CADR"
				       "UNIX" 
				       "SRCCOM"
				       "HACKS"
				       "MATH"
				       "MICRO-ASSEMBLER" 
				       "ZWEI"
				       "FORMAT"
				       "PRESS"
				       "SUPDUP"
				       "TIME"
				       "FED"
				       "EH"
				       "TV"
				       "METER"
				       "QFASL-REL"
				       "TAPE" 
				       "FILE-SYSTEM"
				       "COLOR"
				       "NETWORK"
				       "ETHERNET" 
				       "CHAOS"
				       "GARBAGE-COLLECTOR"
				       "USER"
				       "COMPILER"
				       "SYSTEM-INTERNALS"
				       "LISP"
				       "SYSTEM"
				       "GLOBAL")))
 (("&OPTIONAL")
  ((K-PRIMITIVES::&OPTIONAL "K-PRIMITIVES")
   (K-ARRAY::&OPTIONAL "K-ARRAY")
   (K-NUBUS-STUFF::&OPTIONAL "K-NUBUS-STUFF")
   (K-SYMBOL::&OPTIONAL "K-SYMBOL")
   (&OPTIONAL "TAG"
              "K-DIAG"
              "K-USER"
              "K-FASDUMP"
              "K-COLD"
              "K-SETF"
              "K-KBUG"
              "K-GLOBAL"
              "FASDUMP"
              "SYMBOL"
              "K2"
              "KBUG-STREAMS"
              "COLD"
              "NUBUS-STUFF"
              "K-DEBUG"
              "SETF"
              "NLISP"
              "LISP-INTERNALS"
              "KBUG"
              "TRAP"
              "ARRAY"
              "NEW-MATH"
              "CONS"
              "TRANSPORTER-RAM"
              "BOOT"
              "MEMORY-MANAGEMENT-INTERFACE"
              "AREA-DATA"
              "REGION-DATA"
              "GC-FAULT"
              "MAP-FAULT"
              "REGION-BITS"
              "MEMORY-MANAGEMENT"
              "QUANTUM-MAP"
              "PHYSICAL-CLUSTER-DATA"
              "VIRTUAL-MEMORY"
              "PAGING-DEVICES"
              "DATATYPE-RAM"
              "GC-RAM"
              "MAP"
              "TIMERS"
              "VINCULUM"
              "GLOBAL-REGISTERS"
              "PRIMITIVES"
              "NC"
              "NETWORK-USER"
              "SDU"
              "S-TERMINAL"
              "KERMIT"
              "TOPS20"
              "ANSI"
              "TM"
              "TFRAME"
              "SPELL"
              "LAMBDA"
              "TELNET"
              "FTP"
              "TCP-APPLICATION"
              "TCP"
              "UDP"
              "ICMP"
              "INTERNET"
              "ARP"
              "QUOTE"
              "CADR"
              "UNIX"
              "SRCCOM"
              "HACKS"
              "MATH"
              "MICRO-ASSEMBLER"
              "ZWEI"
              "FORMAT"
              "PRESS"
              "SUPDUP"
              "TIME"
              "FED"
              "EH"
              "TV"
              "METER"
              "QFASL-REL"
              "TAPE"
              "FILE-SYSTEM"
              "COLOR"
              "NETWORK"
              "ETHERNET"
              "CHAOS"
              "GARBAGE-COLLECTOR"
              "USER"
              "COMPILER"
              "SYSTEM-INTERNALS"
              "LISP"
              "SYSTEM"
              "GLOBAL")))
 (("DO" "DEFVAR" "DEFUN" "&REST") ((&REST "TAG"
                                          "K-DIAG"
                                          "K-USER"
                                          "K-FASDUMP"
                                          "K-SYMBOL"
                                          "K-K2"
                                          "K-KBUG-STREAMS"
                                          "K-COLD"
                                          "K-NUBUS-STUFF"
                                          "K-K-DEBUG"
                                          "K-SETF"
                                          "K-LISP-INTERNALS"
                                          "K-KBUG"
                                          "K-TRAP"
                                          "K-ARRAY"
                                          "K-NEW-MATH"
                                          "K-CONS"
                                          "K-TRANSPORTER-RAM"
                                          "K-BOOT"
                                          "K-MEMORY-MANAGEMENT-INTERFACE"
                                          "K-AREA-DATA"
                                          "K-REGION-DATA"
                                          "K-GC-FAULT"
                                          "K-MAP-FAULT"
                                          "K-REGION-BITS"
                                          "K-MEMORY-MANAGEMENT"
                                          "K-QUANTUM-MAP"
                                          "K-PHYSICAL-CLUSTER-DATA"
                                          "K-VIRTUAL-MEMORY"
                                          "K-PAGING-DEVICES"
                                          "K-DATATYPE-RAM"
                                          "K-GC-RAM"
                                          "K-MAP"
                                          "K-TIMERS"
                                          "K-VINCULUM"
                                          "K-GLOBAL-REGISTERS"
                                          "K-PRIMITIVES"
                                          "K-GLOBAL"
                                          "FASDUMP"
                                          "SYMBOL"
                                          "K2"
                                          "KBUG-STREAMS"
                                          "COLD"
                                          "NUBUS-STUFF"
                                          "K-DEBUG"
                                          "SETF"
                                          "NLISP"
                                          "LISP-INTERNALS"
                                          "KBUG"
                                          "TRAP"
                                          "ARRAY"
                                          "NEW-MATH"
                                          "CONS"
                                          "TRANSPORTER-RAM"
                                          "BOOT"
                                          "MEMORY-MANAGEMENT-INTERFACE"
                                          "AREA-DATA"
                                          "REGION-DATA"
                                          "GC-FAULT"
                                          "MAP-FAULT"
                                          "REGION-BITS"
                                          "MEMORY-MANAGEMENT"
                                          "QUANTUM-MAP"
                                          "PHYSICAL-CLUSTER-DATA"
                                          "VIRTUAL-MEMORY"
                                          "PAGING-DEVICES"
                                          "DATATYPE-RAM"
                                          "GC-RAM"
                                          "MAP"
                                          "TIMERS"
                                          "VINCULUM"
                                          "GLOBAL-REGISTERS"
                                          "PRIMITIVES"
                                          "NC"
                                          "NETWORK-USER"
                                          "SDU"
                                          "S-TERMINAL"
                                          "KERMIT"
                                          "TOPS20"
                                          "ANSI"
                                          "TM"
                                          "TFRAME"
                                          "SPELL"
                                          "LAMBDA"
                                          "TELNET"
                                          "FTP"
                                          "TCP-APPLICATION"
                                          "TCP"
                                          "UDP"
                                          "ICMP"
                                          "INTERNET"
                                          "ARP"
                                          "QUOTE"
                                          "CADR"
                                          "UNIX"
                                          "SRCCOM"
                                          "HACKS"
                                          "MATH"
                                          "MICRO-ASSEMBLER"
                                          "ZWEI"
                                          "FORMAT"
                                          "PRESS"
                                          "SUPDUP"
                                          "TIME"
                                          "FED"
                                          "EH"
                                          "TV"
                                          "METER"
                                          "QFASL-REL"
                                          "TAPE"
                                          "FILE-SYSTEM"
                                          "COLOR"
                                          "NETWORK"
                                          "ETHERNET"
                                          "CHAOS"
                                          "GARBAGE-COLLECTOR"
                                          "USER"
                                          "COMPILER"
                                          "SYSTEM-INTERNALS"
                                          "LISP"
                                          "SYSTEM"
                                          "GLOBAL")
                                   ))
 (("&AUX")
  ((K-NUBUS-STUFF::&AUX "K-NUBUS-STUFF") (&AUX "TAG"
                                               "K-DIAG"
                                               "K-USER"
                                               "K-FASDUMP"
                                               "K-COLD"
                                               "K-SETF"
                                               "K-KBUG"
                                               "K-GLOBAL"
                                               "FASDUMP"
                                               "SYMBOL"
                                               "K2"
                                               "KBUG-STREAMS"
                                               "COLD"
                                               "NUBUS-STUFF"
                                               "K-DEBUG"
                                               "SETF"
                                               "NLISP"
                                               "LISP-INTERNALS"
                                               "KBUG"
                                               "TRAP"
                                               "ARRAY"
                                               "NEW-MATH"
                                               "CONS"
                                               "TRANSPORTER-RAM"
                                               "BOOT"
                                               "MEMORY-MANAGEMENT-INTERFACE"
                                               "AREA-DATA"
                                               "REGION-DATA"
                                               "GC-FAULT"
                                               "MAP-FAULT"
                                               "REGION-BITS"
                                               "MEMORY-MANAGEMENT"
                                               "QUANTUM-MAP"
                                               "PHYSICAL-CLUSTER-DATA"
                                               "VIRTUAL-MEMORY"
                                               "PAGING-DEVICES"
                                               "DATATYPE-RAM"
                                               "GC-RAM"
                                               "MAP"
                                               "TIMERS"
                                               "VINCULUM"
                                               "GLOBAL-REGISTERS"
                                               "PRIMITIVES"
                                               "NC"
                                               "NETWORK-USER"
                                               "SDU"
                                               "S-TERMINAL"
                                               "KERMIT"
                                               "TOPS20"
                                               "ANSI"
                                               "TM"
                                               "TFRAME"
                                               "SPELL"
                                               "LAMBDA"
                                               "TELNET"
                                               "FTP"
                                               "TCP-APPLICATION"
                                               "TCP"
                                               "UDP"
                                               "ICMP"
                                               "INTERNET"
                                               "ARP"
                                               "QUOTE"
                                               "CADR"
                                               "UNIX"
                                               "SRCCOM"
                                               "HACKS"
                                               "MATH"
                                               "MICRO-ASSEMBLER"
                                               "ZWEI"
                                               "FORMAT"
                                               "PRESS"
                                               "SUPDUP"
                                               "TIME"
                                               "FED"
                                               "EH"
                                               "TV"
                                               "METER"
                                               "QFASL-REL"
                                               "TAPE"
                                               "FILE-SYSTEM"
                                               "COLOR"
                                               "NETWORK"
                                               "ETHERNET"
                                               "CHAOS"
                                               "GARBAGE-COLLECTOR"
                                               "USER"
                                               "COMPILER"
                                               "SYSTEM-INTERNALS"
                                               "LISP"
                                               "SYSTEM"
                                               "GLOBAL")))
 (("&BODY" "&KEY") ((&KEY "TAG"
                          "K-DIAG"
                          "K-USER"
                          "K-FASDUMP"
                          "K-COLD"
                          "K-SETF"
                          "K-KBUG"
                          "K-GLOBAL"
                          "FASDUMP"
                          "SYMBOL"
                          "K2"
                          "KBUG-STREAMS"
                          "COLD"
                          "NUBUS-STUFF"
                          "K-DEBUG"
                          "SETF"
                          "NLISP"
                          "LISP-INTERNALS"
                          "KBUG"
                          "TRAP"
                          "ARRAY"
                          "NEW-MATH"
                          "CONS"
                          "TRANSPORTER-RAM"
                          "BOOT"
                          "MEMORY-MANAGEMENT-INTERFACE"
                          "AREA-DATA"
                          "REGION-DATA"
                          "GC-FAULT"
                          "MAP-FAULT"
                          "REGION-BITS"
                          "MEMORY-MANAGEMENT"
                          "QUANTUM-MAP"
                          "PHYSICAL-CLUSTER-DATA"
                          "VIRTUAL-MEMORY"
                          "PAGING-DEVICES"
                          "DATATYPE-RAM"
                          "GC-RAM"
                          "MAP"
                          "TIMERS"
                          "VINCULUM"
                          "GLOBAL-REGISTERS"
                          "PRIMITIVES"
                          "NC"
                          "NETWORK-USER"
                          "SDU"
                          "S-TERMINAL"
                          "KERMIT"
                          "TOPS20"
                          "ANSI"
                          "TM"
                          "TFRAME"
                          "SPELL"
                          "LAMBDA"
                          "TELNET"
                          "FTP"
                          "TCP-APPLICATION"
                          "TCP"
                          "UDP"
                          "ICMP"
                          "INTERNET"
                          "ARP"
                          "QUOTE"
                          "CADR"
                          "UNIX"
                          "SRCCOM"
                          "HACKS"
                          "MATH"
                          "MICRO-ASSEMBLER"
                          "ZWEI"
                          "FORMAT"
                          "PRESS"
                          "SUPDUP"
                          "TIME"
                          "FED"
                          "EH"
                          "TV"
                          "METER"
                          "QFASL-REL"
                          "TAPE"
                          "FILE-SYSTEM"
                          "COLOR"
                          "NETWORK"
                          "ETHERNET"
                          "CHAOS"
                          "GARBAGE-COLLECTOR"
                          "USER"
                          "COMPILER"
                          "SYSTEM-INTERNALS"
                          "LISP"
                          "SYSTEM"
                          "GLOBAL")
                    ))
 (("COND" "-" "+" "VALUES" "IMPORT" "EXPORT" "LAMBDA" "FUNCTION" "PROGN" "T")
  ((:T "KEYWORD") (T "TAG"
                     "K-DIAG"
                     "K-USER"
                     "K-FASDUMP"
                     "K-SYMBOL"
                     "K-K2"
                     "K-KBUG-STREAMS"
                     "K-COLD"
                     "K-NUBUS-STUFF"
                     "K-K-DEBUG"
                     "K-SETF"
                     "K-LISP-INTERNALS"
                     "K-KBUG"
                     "K-TRAP"
                     "K-ARRAY"
                     "K-NEW-MATH"
                     "K-CONS"
                     "K-TRANSPORTER-RAM"
                     "K-BOOT"
                     "K-MEMORY-MANAGEMENT-INTERFACE"
                     "K-AREA-DATA"
                     "K-REGION-DATA"
                     "K-GC-FAULT"
                     "K-MAP-FAULT"
                     "K-REGION-BITS"
                     "K-MEMORY-MANAGEMENT"
                     "K-QUANTUM-MAP"
                     "K-PHYSICAL-CLUSTER-DATA"
                     "K-VIRTUAL-MEMORY"
                     "K-PAGING-DEVICES"
                     "K-DATATYPE-RAM"
                     "K-GC-RAM"
                     "K-MAP"
                     "K-TIMERS"
                     "K-VINCULUM"
                     "K-GLOBAL-REGISTERS"
                     "K-PRIMITIVES"
                     "K-GLOBAL"
                     "FASDUMP"
                     "SYMBOL"
                     "K2"
                     "KBUG-STREAMS"
                     "COLD"
                     "NUBUS-STUFF"
                     "K-DEBUG"
                     "SETF"
                     "NLISP"
                     "LISP-INTERNALS"
                     "KBUG"
                     "TRAP"
                     "ARRAY"
                     "NEW-MATH"
                     "CONS"
                     "TRANSPORTER-RAM"
                     "BOOT"
                     "MEMORY-MANAGEMENT-INTERFACE"
                     "AREA-DATA"
                     "REGION-DATA"
                     "GC-FAULT"
                     "MAP-FAULT"
                     "REGION-BITS"
                     "MEMORY-MANAGEMENT"
                     "QUANTUM-MAP"
                     "PHYSICAL-CLUSTER-DATA"
                     "VIRTUAL-MEMORY"
                     "PAGING-DEVICES"
                     "DATATYPE-RAM"
                     "GC-RAM"
                     "MAP"
                     "TIMERS"
                     "VINCULUM"
                     "GLOBAL-REGISTERS"
                     "PRIMITIVES"
                     "NC"
                     "NETWORK-USER"
                     "SDU"
                     "S-TERMINAL"
                     "KERMIT"
                     "TOPS20"
                     "ANSI"
                     "TM"
                     "TFRAME"
                     "SPELL"
                     "LAMBDA"
                     "TELNET"
                     "FTP"
                     "TCP-APPLICATION"
                     "TCP"
                     "UDP"
                     "ICMP"
                     "INTERNET"
                     "ARP"
                     "QUOTE"
                     "CADR"
                     "UNIX"
                     "SRCCOM"
                     "HACKS"
                     "MATH"
                     "MICRO-ASSEMBLER"
                     "ZWEI"
                     "FORMAT"
                     "PRESS"
                     "SUPDUP"
                     "TIME"
                     "FED"
                     "EH"
                     "TV"
                     "METER"
                     "QFASL-REL"
                     "TAPE"
                     "FILE-SYSTEM"
                     "COLOR"
                     "NETWORK"
                     "ETHERNET"
                     "CHAOS"
                     "GARBAGE-COLLECTOR"
                     "USER"
                     "COMPILER"
                     "SYSTEM-INTERNALS"
                     "LISP"
                     "SYSTEM"
                     "GLOBAL")))
 (("NIL") ((:NIL "KEYWORD")))))